OpenNICapture Class Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/doc/tutorials/content/sources/iccv2011/include/openni_capture.h>`

## Public Member Functions

| OpenNICapture (const std::string &device_id="")
| ~OpenNICapture ()
void | setTriggerMode (bool use_trigger)
const PointCloudPtr | snap ()
const PointCloudPtr | snapAndSave (const std::string &filename)
| OpenNICapture (const std::string &device_id="")
| ~OpenNICapture ()
void | setTriggerMode (bool use_trigger)
const PointCloudPtr | snap ()
const PointCloudPtr | snapAndSave (const std::string &filename)
| OpenNICapture (const std::string &device_id="")
| ~OpenNICapture ()
void | setTriggerMode (bool use_trigger)
const PointCloudPtr | snap ()
const PointCloudPtr | snapAndSave (const std::string &filename)

## Protected Member Functions

void | onNewFrame (const PointCloudConstPtr &cloud)
void | onKeyboardEvent (const pcl::visualization::KeyboardEvent &event)
void | waitForTrigger ()
void | onNewFrame (const PointCloudConstPtr &cloud)
void | onKeyboardEvent (const pcl::visualization::KeyboardEvent &event)
void | waitForTrigger ()
void | onNewFrame (const PointCloudConstPtr &cloud)
void | onKeyboardEvent (const pcl::visualization::KeyboardEvent &event)
void | waitForTrigger ()

## Protected Attributes

pcl::OpenNIGrabber | grabber_
pcl::visualization::PCLVisualizer::Ptr | preview_
int | frame_counter_
PointCloudPtr | most_recent_frame_
bool | use_trigger_
bool | trigger_
std::mutex | mutex_
pcl::visualization::PCLVisualizer * | preview_

## Detailed Description

Definition at line 11 of file openni_capture.h.

## Constructor & Destructor Documentation

## OpenNICapture() [1/3]

OpenNICapture::OpenNICapture | ( | const std::string & | device_id = `""` | ) |

## ~OpenNICapture() [1/3]

OpenNICapture::~OpenNICapture | ( |  | ) |

## OpenNICapture() [2/3]

OpenNICapture::OpenNICapture | ( | const std::string & | device_id = `""` | ) |

## ~OpenNICapture() [2/3]

OpenNICapture::~OpenNICapture | ( |  | ) |

## OpenNICapture() [3/3]

OpenNICapture::OpenNICapture | ( | const std::string & | device_id = `""` | ) |

## ~OpenNICapture() [3/3]

OpenNICapture::~OpenNICapture | ( |  | ) |

## Member Function Documentation

## onKeyboardEvent() [1/3]

void OpenNICapture::onKeyboardEvent | ( | const pcl::visualization::KeyboardEvent & | event | ) |

protected

## onKeyboardEvent() [2/3]

void OpenNICapture::onKeyboardEvent | ( | const pcl::visualization::KeyboardEvent & | event | ) |

protected

## onKeyboardEvent() [3/3]

void OpenNICapture::onKeyboardEvent | ( | const pcl::visualization::KeyboardEvent & | event | ) |

protected

## onNewFrame() [1/3]

void OpenNICapture::onNewFrame | ( | const PointCloudConstPtr & | cloud | ) |

protected

## onNewFrame() [2/3]

void OpenNICapture::onNewFrame | ( | const PointCloudConstPtr & | cloud | ) |

protected

## onNewFrame() [3/3]

void OpenNICapture::onNewFrame | ( | const PointCloudConstPtr & | cloud | ) |

protected

## setTriggerMode() [1/3]

void OpenNICapture::setTriggerMode | ( | bool | use_trigger | ) |

## setTriggerMode() [2/3]

void OpenNICapture::setTriggerMode | ( | bool | use_trigger | ) |

## setTriggerMode() [3/3]

void OpenNICapture::setTriggerMode | ( | bool | use_trigger | ) |

## snap() [1/3]

const PointCloudPtr OpenNICapture::snap | ( |  | ) |

## snap() [2/3]

const PointCloudPtr OpenNICapture::snap | ( |  | ) |

## snap() [3/3]

const PointCloudPtr OpenNICapture::snap | ( |  | ) |

## snapAndSave() [1/3]

const PointCloudPtr OpenNICapture::snapAndSave | ( | const std::string & | filename | ) |

## snapAndSave() [2/3]

const PointCloudPtr OpenNICapture::snapAndSave | ( | const std::string & | filename | ) |

## snapAndSave() [3/3]

const PointCloudPtr OpenNICapture::snapAndSave | ( | const std::string & | filename | ) |

## waitForTrigger() [1/3]

void OpenNICapture::waitForTrigger | ( |  | ) |

protected

## waitForTrigger() [2/3]

void OpenNICapture::waitForTrigger | ( |  | ) |

protected

## waitForTrigger() [3/3]

void OpenNICapture::waitForTrigger | ( |  | ) |

protected

## Member Data Documentation

## frame_counter_

int OpenNICapture::frame_counter_

protected

Definition at line 29 of file openni_capture.h.

## grabber_

pcl::OpenNIGrabber OpenNICapture::grabber_

protected

Definition at line 27 of file openni_capture.h.

## most_recent_frame_

PointCloudPtr OpenNICapture::most_recent_frame_

protected

Definition at line 30 of file openni_capture.h.

## mutex_

std::mutex OpenNICapture::mutex_

protected

Definition at line 32 of file openni_capture.h.

## preview_ [1/2]

pcl::visualization::PCLVisualizer* OpenNICapture::preview_

protected

Definition at line 28 of file openni_capture.h.

## preview_ [2/2]

pcl::visualization::PCLVisualizer::Ptr OpenNICapture::preview_

protected

Definition at line 28 of file openni_capture.h.

## trigger_

bool OpenNICapture::trigger_

protected

Definition at line 31 of file openni_capture.h.

## use_trigger_

bool OpenNICapture::use_trigger_

protected

Definition at line 31 of file openni_capture.h.

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/doc/tutorials/content/sources/iccv2011/include/openni_capture.h